Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class PostfixEvalTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.singularsys.jeptests.JepTest
                  com.singularsys.jeptests.PostfixEvalTest

All Implemented Interfaces:
  junit.framework.Test

    public class PostfixEvalTest

extends JepTest

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`PostfixEvalTest(java.lang.String name)`

Method Summary
`void` | `setUp()` Sets up the parser.

Methods inherited from class com.singularsys.jeptests.JepTest
`calcValue, calcValue, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, parseExceptionWithSpecParser, testAssign, testBinom, testBlankParser, testChangeVariable, testComplex, testEvalExceptions, testEvaluate, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testListAccess, testLogarithm, testLogical, testNaN, testNumbers, testNumParam, testParseException, testPlusPlus, testSetAllowUndeclared, testSimpleSum, testStrings, testUminusPower, valueTest, valueTest, valueTestNaN, valueTestString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostfixEvalTest

    public PostfixEvalTest(java.lang.String name)

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `JepTest`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep